/*
** File: icd2061.h  
** Project: ADM-XRC core driver
** Purpose: Exports functions for programming the ICD2061 clock generator.
**
** (C) Copyright Alpha Data 2008-2009
*/

#ifndef _ADATA_CORE_ICD2061_H
#define _ADATA_CORE_ICD2061_H

#include "device.h"

extern ClockWordStatus
clockWordIcd2061(
	Adb3CoreDeviceContext* pDevCtx,
  unsigned int clockIndex,
  uint32_t flags,
	uint32_t refFrequency,
	uint64_t frequencyReq,
	uint64_t frequencyMin,
	uint64_t frequencyMax,
  uint32_t* pClockWord,
	uint64_t* pActualFrequency);

#define ICD2061_CLK (0x1U)
#define ICD2061_DATA (0x2U)

#endif
